PDA

Visualizza versione completa : Non sale xorg



Andy86
11-04-13, 15: 15
:bai

Sarà un caso, ma è la seconda volta in cosa? un mese? :m: :boh

Oggi volevo avviare ubuntu e mi ritrovo con il login da tty... evvai!! Vado di startx e mi ritrovo con una sfilza di errori che non posso neanche vedere tutti, tranne il riferimento al log di xorg, che a sua volta fa riferimento al systemlog.

Allego quindi i due log, sperando che voi sappiate cavarci qualcosa, mentre l'output di startx è più lungo dello schermo, e non risulta possibile ridirezionarlo in un file di testo.
Sicuramente ci sarà qualche sistema tipo il /p di win, ma non lo conosco. :ehmm

K.a.o.s.
11-04-13, 15: 21
Sarà un caso, ma è la seconda volta in cosa? un mese? :m::boh
No, che Xorg dia problemi è cosa comune :ghgh

Comunque sembra quasi che manchino i pacchetti dei driver e abbiano aggiornato il kernel senza aggiornare i driver nvidia. Prova a reinstallarli.

Andy86
11-04-13, 17: 43
:bai

In effetti il pacchetto mancava... non solo quello però.
Dopo aver provato ad installare nvidia current non ha risolto, però avendo intravisto degli errori in fase di installazione ho provato a levarlo per vedere se riuscivo a leggerli... a questo punto insieme alla rimozione del driver mi ha trovato tutta una sfilza di pacchetti da installare e dopo di che startx è partito con i noveau (o quelli che sono)... salvo essersi loggato come root... :boh


Only registered members can view code.

Ora vedo che fa dopo il riavvio... però sarebbe meglio se funzionassero i driver nvidia (così non posso neanche settare a 2mpx)... tra i disponibili vedo ancora i current, i 173 (che mi pare davano problemi) e gli experimentals. :sisi

-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

edit: ora arriva alla schermata di log-in, però non fa il log-in automatico e una volta inserita la password da alcuni errori talmente veloci da non poter essere letti e torna alla schermata di log-in. :sisi

Andy86
12-04-13, 14: 08
:bai

Avevo sottovalutato il fatto che partendo dallo startx mi si era loggato come root... c'era un bell'elenco di file con il proprietario cambiato, una bella passata di chown e via... interfaccia grafica ripartita, salvo essersi volatilizzato il profilo di firefox... :boh (meno male che c'è sync).

Ora però c'è da provare a rimettere il driver nvidia... e se poi da ancora lo stesso problema? :m:

pierino_89
12-04-13, 18: 49
Se dà lo stesso problema li rimuovi e riparti con i nouveau :ghgh

Andy86
13-04-13, 13: 03
:bai

Non se ne installa neanche una versione:


Only registered members can view code.

I noveau non rallentano la ventola... non la sopporto più.... :wall

pierino_89
13-04-13, 13: 59
Installali a mano dal sito, almeno se esce qualche errore lo vediamo. Qui non si vede nulla di sensato, a parte le sbrodolate del programma di ricerca drivers.

Andy86
13-04-13, 14: 05
In che senso "dal sito"? Non basta apt-get? :m:

pierino_89
13-04-13, 14: 44
In che senso "dal sito"? Non basta apt-get? :m:
Apt-get ti porta una versione già impacchettata e pronta all'uso dei drivers che trovi sul sito nvidia.
Naturalmente dato che vanno impaccati e testati quelli pacchettizzati sono più vecchi.

Andy86
13-04-13, 19: 40
Allora... ho scaricato dal sito il driver più nuovo che c'era, è un file .run, ma il terminale si ostina a dirmi "command not found".
Il bello è che se lo lancio senza sudo lo vede, ma mi dice permesso negato, anche da root (sudo -s), mentre se lo lancio con il sudo davanti è sempre "command not found". :boh :wall

K.a.o.s.
13-04-13, 21: 30
Manca l'autorizzazione all'esecuzione:

Only registered members can view code.

Andy86
13-04-13, 22: 13
:bai

L'installazione termina con gli stessi errori che riporta nel log che dopo gli errori mi invita a visualizzare:


Only registered members can view code.

Quel pacchetto che dice del kernel pare non essere presente nei repo. :boh

-------------------------

Edit:

Provato a rispondere 'no' ad una domanda relativa al kernel in fase d'installazione, e stavolta l'installazione non parte neanche, con un altro errore relativo alla vers. del compilatore:


Only registered members can view code.

Perdonatemi... sarò l'unica persona al mondo ad essere bravo con l'informatica e negato per l'inglese. :wall

K.a.o.s.
14-04-13, 01: 22
Quel pacchetto che dice del kernel pare non essere presente nei repo. :boh
Non lo è:
UbuntuUpdates - Package "linux-headers-3.2.0-33-generic-pae" (precise 12.04) (http://www.ubuntuupdates.org/package/canonical_kernel_team/precise/main/base/linux-headers-3.2.0-33-generic-pae)
Hai aggiornato il kernel e riavviato?
Poi devi installare gli headers della tua versione del kernel e poi reinstalli i driver.

Perdonatemi... sarò l'unica persona al mondo ad essere bravo con l'informatica e negato per l'inglese. :wall


La risposta giusta era "sì" comunque :eye.

pierino_89
14-04-13, 02: 08
I programmi vanno lanciato col percorso completo (o anche con il percorso relativo). Se scrivi il comando e basta, lancia un comando nel PATH. Questa è una misura di sicurezza per evitare cose tipo che qualcuno ti mette un programma eseguibile chiamato "su" nella tua home per rubarti la password.

[edit]
:lol:, avevo la pagina in cache... Comunque assicurati di avere tutti i build-essential installati. Nel caso si lamenti ancora, gcc 4.6 dovresti trovarlo comunque nei repo.

Andy86
14-04-13, 11: 34
I programmi vanno lanciato col percorso completo (o anche con il percorso relativo).

Si, si, il ./ l'avevo messo... era proprio che mancavano i permessi del chmod. :sisi


La risposta giusta era "sì" comunque :eye.

Allora avevo intuito giusto al primo tentativo. :tong2


Comunque assicurati di avere tutti i build-essential installati.

Ricapitoliamo... devo verificare di avere l'ultima versione del kernel (pensavo si aggiornasse da sola, perché capita di vedere il kernel tra gli aggiornamenti) e poi cercarmi a mano tutti i pacchetti relativi?
Eppure mi pareva che gli headers venissero installati insieme all'aggiornamento del kernel... :m:

Son quasi sicuro che una volta quando facevo la pulizia dei vecchi kernel da synaptic cerano tutti i vecchi headers da rimuovere insieme al kernel... :boh

----------------

Edit:

Pare che il mio kubuntu salga con il kernel sbagliato. Guardando nel gestore pacchetti vedo che sono installate le vs. 3.5.0.27 di kernel ed headers, mentre tra le vs. selezionabili dal burg si arriva fino alla 3.2.0.33, che però è vecchia, e, appunto, non c'è più l'headers, e si vedono alcune versioni che nel gestore pacchetti invece non risultano più.

Ora faccio un bel update-burg, e poi vediamo se sale con l'ultimo kernel e stavolta funziona.

pierino_89
14-04-13, 13: 40
Ricapitoliamo... devo verificare di avere l'ultima versione del kernel (pensavo si aggiornasse da sola, perché capita di vedere il kernel tra gli aggiornamenti) e poi cercarmi a mano tutti i pacchetti relativi?
No, c'è proprio un pacchetto che si chiama così che ha come dipendenze gcc e combriccola. Forse mancano giusto gli headers.



Eppure mi pareva che gli headers venissero installati insieme all'aggiornamento del kernel... :m:
Affatto, occupano spazio e non servono a niente nella maggior parte dei casi. Quindi se ti servono devi installarteli tu.



Son quasi sicuro che una volta quando facevo la pulizia dei vecchi kernel da synaptic cerano tutti i vecchi headers da rimuovere insieme al kernel... :boh

Dipende se hai installato il pacchetto generico (linux-headers o come si chiama) oppure una versione specifica. Nel secondo caso non vengono aggiornati, perché si suppone che ti serva solo quella versione.


Pare che il mio kubuntu salga con il kernel sbagliato. Guardando nel gestore pacchetti vedo che sono installate le vs. 3.5.0.27 di kernel ed headers, mentre tra le vs. selezionabili dal burg si arriva fino alla 3.2.0.33, che però è vecchia, e, appunto, non c'è più l'headers, e si vedono alcune versioni che nel gestore pacchetti invece non risultano più.

Ora faccio un bel update-burg, e poi vediamo se sale con l'ultimo kernel e stavolta funziona.
Fai anche un po' di pulizia di vecchi kernel già che ci sei!

Andy86
14-04-13, 13: 58
:bai

Intanto ho provato l'installazione driver su questo kernel e non ha dato errori, ma poi quando ho lanciato startx mi dice che la vers. del driver è diversa da quella che il kernel si aspetta.

Ora sto scaricando l'altra vers. da win e poi vedo se con questa parte.


Nel secondo caso non vengono aggiornati, perché si suppone che ti serva solo quella versione.

Ah, per quello tutte le volte che c'è l'aggiornamento kernel il gestore aggiornamenti mi chiede se voglio abilitare i pacchetti facoltativi? :m:

pierino_89
14-04-13, 14: 06
:bai

Intanto ho provato l'installazione driver su questo kernel e non ha dato errori, ma poi quando ho lanciato startx mi dice che la vers. del driver è diversa da quella che il kernel si aspetta.

Ora sto scaricando l'altra vers. da win e poi vedo se con questa parte.
Non è che hai compilato il driver su un kernel diverso da quello che stai usando? Non ho mai capito come funzioni la gestione della versione attiva del kernel su ubuntu.


Ah, per quello tutte le volte che c'è l'aggiornamento kernel il gestore aggiornamenti mi chiede se voglio abilitare i pacchetti facoltativi? :m:
No, quella è ancora un'altra cosa :ghgh

Andy86
14-04-13, 14: 27
Compilare? Io ho sempre eseguito il file run, poi ha fatto tutto lui... :boh
Comunque sono riuscito ora a trovare la 304.48 che mi chiede, ora vediamo se con questa va.

-------------

A posto. La 304.48 pare funzionare perfettamente.

Attesa al prossimo aggiornamento del kernel. :lol:

pierino_89
14-04-13, 14: 55
Compilare? Io ho sempre eseguito il file run, poi ha fatto tutto lui... :boh
I moduli del kernel esterni ai repo vengono sempre compilati, altrimenti ci dovrebbero essere milioni di pacchetti diversi.



Comunque sono riuscito ora a trovare la 304.48 che mi chiede, ora vediamo se con questa va.

-------------

A posto. La 304.48 pare funzionare perfettamente.

Attesa al prossimo aggiornamento del kernel. :lol:
Meglio così. Tanti auguri per il prossimo :tong2